.error {
    color: #fff;
}

    .error.red {
        color: #f00;
    }

.login-error {
    color: #C60000;
}

.login-success {
    color: #ffffff;
}

body {
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    font-weight: 300;
    color: #888;
    line-height: 30px;
    text-align: center;
    cursor: default;
}

strong {
    font-weight: 500;
}

a, a:hover, a:focus {
    color: #4aafff;
    text-decoration: none;
    -o-transition: all .3s;
    -moz-transition: all .3s;
    -webkit-transition: all .3s;
    -ms-transition: all .3s;
    transition: all .3s;
}

h1, h2 {
    margin-top: 10px;
    font-size: 38px;
    font-weight: 300;
    color: #555;
    line-height: 50px;
}

    h2.compact {
        font-size: 24px;
        font-weight: 600;
    }

h3 {
    font-size: 22px;
    font-weight: 300;
    color: #555;
    line-height: 30px;
}

img {
    max-width: 100%;
}

::-moz-selection {
    background: #4aafff;
    color: #fff;
    text-shadow: none;
}

::selection {
    background: #4aafff;
    color: #fff;
    text-shadow: none;
}


.btn-link-1 {
    display: inline-block;
    height: 50px;
    margin: 5px;
    padding: 16px 20px 0 20px;
    background: #4aafff;
    font-size: 16px;
    font-weight: 300;
    line-height: 16px;
    color: #fff;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
}

    .btn-link-1:hover, .btn-link-1:focus, .btn-link-1:active {
        outline: 0;
        opacity: 0.6;
        color: #fff;
    }

    .btn-link-1.btn-link-1-facebook {
        background: #4862a3;
    }

    .btn-link-1.btn-link-1-twitter {
        background: #55acee;
    }

    .btn-link-1.btn-link-1-google-plus {
        background: #dd4b39;
    }

    .btn-link-1 i {
        padding-right: 5px;
        vertical-align: middle;
        font-size: 20px;
        line-height: 20px;
    }

.btn-link-2 {
    display: inline-block;
    height: 50px;
    margin: 5px;
    padding: 15px 20px 0 20px;
    background: rgba(0, 0, 0, 0.3);
    border: 1px solid #fff;
    font-size: 16px;
    font-weight: 300;
    line-height: 16px;
    color: #fff;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
}

    .btn-link-2:hover, .btn-link-2:focus, .btn-link-2:active, .btn-link-2:active:focus {
        outline: 0;
        opacity: 0.6;
        background: rgba(0, 0, 0, 0.3);
        color: #fff;
    }


/***** Top content *****/

.inner-bg {
    padding: 100px 0 0 0;
}

.top-content .text {
    color: #fff;
}

    .top-content .text h1 {
        color: #fff;
    }

.top-content .description {
    margin: 20px 0 10px 0;
}

    .top-content .description p {
        opacity: 0.8;
    }

    .top-content .description a {
        color: #fff;
    }

        .top-content .description a:hover, .top-content .description a:focus {
            border-bottom: 1px dotted #fff;
        }

.form-box {
    margin-top: 35px;
}

.form-top {
    overflow: hidden;
    padding: 0 25px 15px 25px;
    background: #444;
    background: rgba(0, 0, 0, 0.35);
    -moz-border-radius: 4px 4px 0 0;
    -webkit-border-radius: 4px 4px 0 0;
    border-radius: 4px 4px 0 0;
    text-align: left;
}

.xmas-top {
    overflow: hidden;
    padding: 0 25px 15px 25px;
    background: #444;
    background: rgba(21, 174, 44, 0.35);
    -moz-border-radius: 4px 4px 0 0;
    -webkit-border-radius: 4px 4px 0 0;
    border-radius: 4px 4px 0 0;
    text-align: left;
}

.form-top-left {
    float: left;
    width: 75%;
    padding-top: 25px;
}

    .form-top-left h3 {
        margin-top: 0;
        color: #fff;
    }

    .form-top-left p {
        opacity: 0.8;
        color: #fff;
    }

.form-top-right {
    float: left;
    width: 25%;
    padding-top: 5px;
    font-size: 66px;
    color: #fff;
    line-height: 100px;
    text-align: right;
}

.form-bottom {
    padding: 25px 25px 30px 25px;
    background: #444;
    background: rgba(0, 0, 0, 0.3);
    -moz-border-radius: 0 0 4px 4px;
    -webkit-border-radius: 0 0 4px 4px;
    border-radius: 0 0 4px 4px;
    text-align: left;
}

    .form-bottom form textarea {
        height: 100px;
    }

    .form-bottom form button.btn {
        width: 100%;
    }

    .form-bottom form .two-buttons {
        text-align: center;
    }

    .form-bottom form button.btn.half {
        width: 45%;
        display: inline-block;
        margin: 0 5px;
    }

    .form-bottom form .input-error {
        border-color: #ff0f51;
    }

.social-login {
    margin-top: 35px;
}

    .social-login h3 {
        color: #fff;
    }

.social-login-buttons {
    margin-top: 25px;
}


/***** Media queries *****/

@media (min-width: 992px) and (max-width: 1199px) {
}

@media (min-width: 768px) and (max-width: 991px) {
}

@media (max-width: 767px) {

    .inner-bg {
        padding: 60px 0 110px 0;
    }
}

@media (max-width: 415px) {

    h1, h2 {
        font-size: 32px;
    }
}

.form-bottom form button.btn {
    display: block;
    margin: 0 auto;
    box-sizing: border-box;
}

    .form-bottom form button.btn.inflight {
        padding: 0;
        height: 50px;
        width: 50px;
        border: solid dodgerblue 5px;
        border-radius: 100%;
        overflow: hidden;
        color: transparent;
        background-color: transparent;
        box-shadow: none;
        font-size: 0.001pt;
    }

    .form-bottom form button.btn.spinflight {
        border-top-color: blue;
        animation-name: loginspinner;
        animation-timing-function: linear;
        animation-duration: 1000ms;
        animation-delay: 300ms;
        animation-iteration-count: infinite;
    }

.input-group .form-control.form-token {
    width: 300px;
}

#btnGetCode {
    width: 140px;
    float: right;
}

.token-note {
    background: #ddf86c;
    padding: 5px;
    line-height: 20px;
    font-size: 12px;
    margin-bottom: 10px;
}

@keyframes loginspinner {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}
.modalWrapper {
    display:none;
    position:fixed;
    z-index:998;
    top:0;
    left:0;
    width:100%;
    height:100%;
}
    .modalWrapper .modalSheen {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0,0,0,0.9);
        z-index:999;
    }
    .modalWrapper .modalPopup {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 1000;
        margin-top:25vh;
    }
    .modalWrapper .modalPopup .tokenbox {
        background-color:#333;
    }
        .modalWrapper .modalPopup .tokenbox .form-bottom,
        .modalWrapper .modalPopup .tokenbox .form-top {
            background-color: transparent;
        }